Package org.apache.sysds.parser

# Class ParForStatementBlock.ResultVar

java.lang.Object
org.apache.sysds.parser.ParForStatementBlock.ResultVar

Enclosing class:
  ParForStatementBlock

public static class ParForStatementBlock.ResultVar extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`_isAccum`
`final String`
`_name`

## Constructor Summary

Constructors
Constructor
Description
`ResultVar(String name, boolean accum)`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(Collection<ParForStatementBlock.ResultVar> list, String varName)`
`boolean`
`equals(Object that)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### _name

public final String _name

### _isAccum

public final boolean _isAccum

## Constructor Details

### ResultVar

public ResultVar(String name, boolean accum)

## Method Details

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### contains

public static boolean contains(Collection<ParForStatementBlock.ResultVar> list, String varName)